#include <sourcemod>
#include <sdktools>
#include <multicolors>
#include <colors>
#define PLUGIN_VERSION "1.0"

public Plugin:myinfo = 
{
	name = "MuteAll",
	author = "BaljeeT",
	description = "Mutes all players without admin flags",
	version = PLUGIN_VERSION,
	url = "https://steamcommunity.com/profiles/76561198300293057/"
}

public OnPluginStart()
{
    CreateConVar("sm_mutenonadmins_version", PLUGIN_VERSION, "MuteNonAdmin's version", FCVAR_NOTIFY|FCVAR_PLUGIN|FCVAR_DONTRECORD);
	
    RegAdminCmd("sm_muteall", Command_MuteNonAdmins, ADMFLAG_GENERIC, "Mute Non-Admins");
    RegAdminCmd("sm_ma", Command_MuteNonAdmins, ADMFLAG_GENERIC, "Mute Non-Admins");
    RegAdminCmd("sm_unmuteall", Command_UnmuteNonAdmins, ADMFLAG_GENERIC, "Mute Non-Admins");
    RegAdminCmd("sm_unma", Command_UnmuteNonAdmins, ADMFLAG_GENERIC, "Mute Non-Admins");
}

public Action:Command_MuteNonAdmins(client, args)
{
	///////////////////////////////////////////////////////
	//Test The arguments to make sure it is a valid command
	///////////////////////////////////////////////////////
	if (args < 1)
	{
		
	}
	new caseNum;
	new String:szArg[65];
	
	GetCmdArg(1, szArg, sizeof(szArg));
	
	/////////////////////////////////////////////////
	//Set the appropriate case based on the arguments
	/////////////////////////////////////////////////
	
	
	/////////////////////////
	//Perform the actual task
	/////////////////////////
	switch(caseNum)
	{
		case 0: 
		{
			for (new i = 1; i <= MaxClients; i++)
			{
				if (IsClientInGame(i) && !IsFakeClient(i) && !IsPlayerAlive(i))
				{
					if (!CheckCommandAccess(i, "sm_muteall", ADMFLAG_GENERIC))
					{
						SetClientListeningFlags(i, VOICE_MUTED);
					}  			
				}
			}
			ShowActivity2(client, " ", "\x05 [BaljeeT] \x04 %N \x02 Muted All!", client);
		}
		case 1:
		{
			for (new i = 1; i <= MaxClients; i++)
			{
				if (IsClientInGame(i) && !IsFakeClient(i) && IsPlayerAlive(i))
				{
					if (!CheckCommandAccess(i, "sm_ma", ADMFLAG_GENERIC))
					{
						SetClientListeningFlags(i, VOICE_MUTED);
					}  			
				}
			}

		}
		
		 
	    }
		return Plugin_Handled;
}

public Action:Command_UnmuteNonAdmins(client, args)
{
	///////////////////////////////////////////////////////
	//Test The arguments to make sure it is a valid command
	///////////////////////////////////////////////////////
	if (args < 1)
	{


	}
	
	new caseNum;
	new String:szArg[65];
	
	GetCmdArg(1, szArg, sizeof(szArg));
	
	/////////////////////////////////////////////////
	//Set the appropriate case based on the arguments
	/////////////////////////////////////////////////
	
	
	/////////////////////////
	//Perform the actual task
	/////////////////////////
	switch(caseNum)
	{
		case 0:
		{
			for (new i = 1; i <= MaxClients; i++)
			{
				if (IsClientInGame(i) && !IsFakeClient(i) && !IsPlayerAlive(i))
				{
					if (!CheckCommandAccess(i, "sm_unmuteall", ADMFLAG_GENERIC))
					{
						SetClientListeningFlags(i, VOICE_NORMAL);
					}  			
				}
			}
			ShowActivity2(client, " ", "\x05 [BaljeeT] \x04 %N \x02 Unmuted All!", client);
		}
		case 1:
		{
			for (new i = 1; i <= MaxClients; i++)
			{
				if (IsClientInGame(i) && !IsFakeClient(i) && IsPlayerAlive(i))
				{
					if (!CheckCommandAccess(i, "sm_unmuteall", ADMFLAG_GENERIC))
					{
						SetClientListeningFlags(i, VOICE_NORMAL);
					}  			
				}
			}
			//ShowActivity2(client, "[SM]", "%N unmuted alive non-admins", client);
		}
		case 2:
		{
			for (new i = 1; i <= MaxClients; i++)
			{
				if (IsClientInGame(i) && !IsFakeClient(i))
				{
					if (!CheckCommandAccess(i, "sm_unma", ADMFLAG_GENERIC))
					{
						SetClientListeningFlags(i, VOICE_NORMAL);
					}  			
				}
			}
			ShowActivity2(client, " ", "\x05 [BaljeeT] \x04 %N \x02 Unmuted All!", client);
		}

	}
	return Plugin_Handled;
}